FLANG

Static Public Member Functions | List of all members
fir::IntrinsicTypeMixin< A, Id > Struct Template Reference

Boilerplate mixin template. More...

`#include <flang/Optimizer/Dialect/FIRType.h>`

## Static Public Member Functions
static constexpr bool | kindof (unsigned kind)
static constexpr unsigned | getId ()

## Detailed Description

### template<typename A, unsigned Id>
struct fir::IntrinsicTypeMixin< A, Id >

Boilerplate mixin template.

The documentation for this struct was generated from the following file:

- include/flang/Optimizer/Dialect/FIRType.h